Loading...
Searching...
No Matches
FluidStateSaturationModules.hpp File Reference

Modules for the ModularFluidState which represent saturation. More...

`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Opm::FluidStateExplicitSaturationModule< Scalar, numPhases, Implementation >
| Module for the modular fluid state which stores the saturations explicitly. More...
class | Opm::FluidStateNullSaturationModule< Scalar >
| Module for the modular fluid state which does not the saturations but throws std::logic_error instead. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Modules for the ModularFluidState which represent saturation.